#include "App.h"
#include "Audio.h"
#include <memory>

App::App()
{
    
    m_audio = std::make_unique<Audio>(Audio());
    m_window = std::make_unique<BaseWindow>(BaseWindow(800, 600, "Music", grey, *m_audio));
}

void App::Run()
{
    m_window->run();
}